MetalInternalFrameUI (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf.metal, class: MetalInternalFrameUI
Keywords: javax.swing.plaf.metal.MetalInternalFrameUI class

# Class MetalInternalFrameUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.InternalFrameUI
javax.swing.plaf.basic.BasicInternalFrameUI
javax.swing.plaf.metal.MetalInternalFrameUI

public class MetalInternalFrameUI extends BasicInternalFrameUI
Metal implementation of JInternalFrame.

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class BasicInternalFrameUI

  `BasicInternalFrameUI.BasicInternalFrameListener, BasicInternalFrameUI.BorderListener, BasicInternalFrameUI.ComponentHandler, BasicInternalFrameUI.GlassPaneDispatcher, BasicInternalFrameUI.InternalFrameLayout, BasicInternalFrameUI.InternalFramePropertyChangeListener`
  Modifier and Type
  Class
  Description
  `protected class`
  `BasicInternalFrameUI.BasicInternalFrameListener`
  Basic internal frame listener.
  `protected class`
  `BasicInternalFrameUI.BorderListener`
  Listens for border adjustments.
  `protected class`
  `BasicInternalFrameUI.ComponentHandler`
  Component handler.
  `protected class`
  `BasicInternalFrameUI.GlassPaneDispatcher`
  Glass pane dispatcher.
  `class`
  `BasicInternalFrameUI.InternalFrameLayout`
  Internal frame layout.
  `class`
  `BasicInternalFrameUI.InternalFramePropertyChangeListener`
  Internal frame property change listener.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static String`
  `IS_PALETTE`
  The property `JInternalFrame.isPalette`.

  ### Fields declared in class BasicInternalFrameUI

  `borderListener, componentListener, eastPane, frame, glassPaneDispatcher, internalFrameLayout, northPane, openMenuKey, propertyChangeListener, southPane, titlePane, westPane`
  Modifier and Type
  Field
  Description
  `protected MouseInputAdapter`
  `borderListener`
  Border listener
  `protected ComponentListener`
  `componentListener`
  Component listener
  `protected JComponent`
  `eastPane`
  East pane
  `protected JInternalFrame`
  `frame`
  frame
  `protected MouseInputListener`
  `glassPaneDispatcher`
  Glass pane dispatcher
  `protected LayoutManager`
  `internalFrameLayout`
  Internal frame layout
  `protected JComponent`
  `northPane`
  North pane
  `protected KeyStroke`
  `openMenuKey`
  Deprecated.
  As of Java 2 platform v1.3.
  `protected PropertyChangeListener`
  `propertyChangeListener`
  Property change listener
  `protected JComponent`
  `southPane`
  South pane
  `protected BasicInternalFrameTitlePane`
  `titlePane`
  Title pane
  `protected JComponent`
  `westPane`
  West pane

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetalInternalFrameUI(JInternalFrame b)`
  Constructs a new `MetalInternalFrameUI` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected MouseInputAdapter`
  `createBorderListener(JInternalFrame w)`
  Returns the `MouseInputAdapter` that will be installed on the TitlePane.
  `static ComponentUI`
  `createUI(JComponent c)`
  Constructs a new `MetalInternalFrameUI` instance.
  `void`
  `setPalette(boolean isPalette)`
  If `isPalette` is `true`, sets palette border and title

  ### Methods declared in class BasicInternalFrameUI

  `activateFrame, closeFrame, createComponentListener, createDesktopManager, createEastPane, createGlassPaneDispatcher, createInternalFrameListener, createLayoutManager, createNorthPane, createPropertyChangeListener, createSouthPane, createWestPane, deactivateFrame, deiconifyFrame, deinstallMouseHandlers, getDesktopManager, getEastPane, getMaximumSize, getMinimumSize, getNorthPane, getPreferredSize, getSouthPane, getWestPane, iconifyFrame, installComponents, installDefaults, installKeyboardActions, installListeners, installMouseHandlers, installUI, isKeyBindingActive, isKeyBindingRegistered, maximizeFrame, minimizeFrame, replacePane, setEastPane, setKeyBindingActive, setKeyBindingRegistered, setNorthPane, setSouthPane, setupMenuCloseKey, setupMenuOpenKey, setWestPane, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`
  Modifier and Type
  Method
  Description
  `protected void`
  `activateFrame(JInternalFrame f)`
  This method is called when the frame becomes selected.
  `protected void`
  `closeFrame(JInternalFrame f)`
  This method is called when the user wants to close the frame.
  `protected ComponentListener`
  `createComponentListener()`
  Creates a component listener.
  `protected DesktopManager`
  `createDesktopManager()`
  Creates the desktop manager.
  `protected JComponent`
  `createEastPane(JInternalFrame w)`
  Creates the east pane.
  `protected MouseInputListener`
  `createGlassPaneDispatcher()`
  Creates a `GlassPaneDispatcher`.
  `protected void`
  `createInternalFrameListener()`
  Creates the internal frame listener.
  `protected LayoutManager`
  `createLayoutManager()`
  Creates the layout manager.
  `protected JComponent`
  `createNorthPane(JInternalFrame w)`
  Creates the north pane.
  `protected PropertyChangeListener`
  `createPropertyChangeListener()`
  Creates the property change listener.
  `protected JComponent`
  `createSouthPane(JInternalFrame w)`
  Creates the north pane.
  `protected JComponent`
  `createWestPane(JInternalFrame w)`
  Creates the west pane.
  `protected void`
  `deactivateFrame(JInternalFrame f)`
  This method is called when the frame is no longer selected.
  `protected void`
  `deiconifyFrame(JInternalFrame f)`
  This method is called when the user wants to deiconify the frame.
  `protected void`
  `deinstallMouseHandlers(JComponent c)`
  Deinstalls the mouse handlers.
  `protected DesktopManager`
  `getDesktopManager()`
  Returns the proper DesktopManager.
  `JComponent`
  `getEastPane()`
  Returns the east pane.
  `Dimension`
  `getMaximumSize(JComponent x)`
  Returns the maximum size.
  `Dimension`
  `getMinimumSize(JComponent x)`
  Returns the minimum size.
  `JComponent`
  `getNorthPane()`
  Returns the north pane.
  `Dimension`
  `getPreferredSize(JComponent x)`
  Returns the preferred size.
  `JComponent`
  `getSouthPane()`
  Returns the south pane.
  `JComponent`
  `getWestPane()`
  Returns the west pane.
  `protected void`
  `iconifyFrame(JInternalFrame f)`
  This method is called when the user wants to iconify the frame.
  `protected void`
  `installComponents()`
  Installs the components.
  `protected void`
  `installDefaults()`
  Installs the defaults.
  `protected void`
  `installKeyboardActions()`
  Installs the keyboard actions.
  `protected void`
  `installListeners()`
  Installs the listeners.
  `protected void`
  `installMouseHandlers(JComponent c)`
  Installs the mouse handlers.
  `void`
  `installUI(JComponent c)`
  Installs the UI.
  `final boolean`
  `isKeyBindingActive()`
  Returns whether or no the key binding is active.
  `protected final boolean`
  `isKeyBindingRegistered()`
  Returns whether or no the key binding is registered.
  `protected void`
  `maximizeFrame(JInternalFrame f)`
  This method is called when the user wants to maximize the frame.
  `protected void`
  `minimizeFrame(JInternalFrame f)`
  This method is called when the user wants to minimize the frame.
  `protected void`
  `replacePane(JComponent currentPane, JComponent newPane)`
  Installs necessary mouse handlers on `newPane` and adds it to the frame.
  `void`
  `setEastPane(JComponent c)`
  Sets the east pane.
  `protected final void`
  `setKeyBindingActive(boolean b)`
  Sets the key binding activity.
  `protected final void`
  `setKeyBindingRegistered(boolean b)`
  Sets the key binding registration.
  `void`
  `setNorthPane(JComponent c)`
  Sets the north pane.
  `void`
  `setSouthPane(JComponent c)`
  Sets the south pane.
  `protected void`
  `setupMenuCloseKey()`
  Setup the menu close key.
  `protected void`
  `setupMenuOpenKey()`
  Setup the menu open key.
  `void`
  `setWestPane(JComponent c)`
  Sets the west pane.
  `protected void`
  `uninstallComponents()`
  Uninstalls the components.
  `protected void`
  `uninstallDefaults()`
  Uninstalls the defaults.
  `protected void`
  `uninstallKeyboardActions()`
  Uninstalls the keyboard actions.
  `protected void`
  `uninstallListeners()`
  Uninstalls the listeners.
  `void`
  `uninstallUI(JComponent c)`
  Uninstalls the UI.

  ### Methods declared in class ComponentUI

  `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, paint, update`
  Modifier and Type
  Method
  Description
  `boolean`
  `contains(JComponent c, int x, int y)`
  Returns `true` if the specified x,y location is contained within the look and feel's defined shape of the specified component.
  `Accessible`
  `getAccessibleChild(JComponent c, int i)`
  Returns the `i`th `Accessible` child of the object.
  `int`
  `getAccessibleChildrenCount(JComponent c)`
  Returns the number of accessible children in the object.
  `int`
  `getBaseline(JComponent c, int width, int height)`
  Returns the baseline.
  `Component.BaselineResizeBehavior`
  `getBaselineResizeBehavior(JComponent c)`
  Returns an enum indicating how the baseline of the component changes as the size changes.
  `void`
  `paint(Graphics g, JComponent c)`
  Paints the specified component appropriately for the look and feel.
  `void`
  `update(Graphics g, JComponent c)`
  Notifies this UI delegate that it is time to paint the specified component.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### IS_PALETTE

    protected static String IS_PALETTE
    The property `JInternalFrame.isPalette`.

- ## Constructor Details

  - ### MetalInternalFrameUI

    public MetalInternalFrameUI(JInternalFrame b)
    Constructs a new `MetalInternalFrameUI` instance.
    Parameters:
      `b` - an internal frame

- ## Method Details

  - ### createUI

    public static ComponentUI createUI(JComponent c)
    Constructs a new `MetalInternalFrameUI` instance.
    Parameters:
      `c` - a component
    Returns:
      a new `MetalInternalFrameUI` instance

  - ### setPalette

    public void setPalette(boolean isPalette)
    If `isPalette` is `true`, sets palette border and title
    Parameters:
      `isPalette` - if `true`, sets palette border and title

  - ### createBorderListener

    protected MouseInputAdapter createBorderListener(JInternalFrame w)
    Returns the `MouseInputAdapter` that will be installed on the TitlePane.
    Overrides:
      `createBorderListener` in class `BasicInternalFrameUI`
    Parameters:
      `w` - the `JInternalFrame`
    Returns:
      the `MouseInputAdapter` that will be installed on the TitlePane.
    Since:
      1.6